* [git.ipfire.org] IPFire 2.x development tree branch, next, updated. 244619e985f3524e46e71c8223080092d4cdb511
@ 2026-06-16 11:18 Michael Tremer
0 siblings, 0 replies; only message in thread
From: Michael Tremer @ 2026-06-16 11:18 UTC (permalink / raw)
To: ipfire-scm
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".
The branch, next has been updated
via 244619e985f3524e46e71c8223080092d4cdb511 (commit)
from 1661164db99ba372c833b5534eef41a8b258ea1a (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 244619e985f3524e46e71c8223080092d4cdb511
Author: Michael Tremer <michael.tremer@ipfire.org>
Date: Tue Jun 16 11:17:53 2026 +0000
make.sh: Enable the timer conditionally
Signed-off-by: Michael Tremer <michael.tremer@ipfire.org>
-----------------------------------------------------------------------
Summary of changes:
make.sh | 15 +++++++++++----
1 file changed, 11 insertions(+), 4 deletions(-)
Difference in files:
diff --git a/make.sh b/make.sh
index 4b70e15ad..cfcbb7635 100755
--- a/make.sh
+++ b/make.sh
@@ -527,6 +527,7 @@ execute() {
local command=()
local interactive="false"
local network="false"
+ local timer="false"
# Collect environment variables
local -A environ=(
@@ -685,6 +686,10 @@ execute() {
)
;;
+ --timer)
+ timer="true"
+ ;;
+
-*)
echo "Unknown argument: ${1}" >&2
return 2
@@ -823,7 +828,9 @@ execute() {
done
# Print the total runtime
- print_runtime "$(( SECONDS - t ))"
+ if [ "${timer}" = "true" ]; then
+ print_runtime "$(( SECONDS - t ))"
+ fi
esac
return "${r}"
@@ -875,7 +882,7 @@ lfsmake1() {
exiterror "Downloading ${pkg}"
fi
- if ! make_pkg "${pkg}" TOOLCHAIN=1 ROOT="${BUILD_DIR}" b2 install "$@"; then
+ if ! make_pkg --timer "${pkg}" TOOLCHAIN=1 ROOT="${BUILD_DIR}" b2 install "$@"; then
print_status FAIL
exiterror "Building ${pkg}"
@@ -917,7 +924,7 @@ lfsmake2() {
fi
# Run install on the package
- if ! make_pkg --chroot "${args[@]}" "${pkg}" b2 install "$@"; then
+ if ! make_pkg --chroot --timer "${args[@]}" "${pkg}" b2 install "$@"; then
print_status FAIL
exiterror "Building ${pkg}"
@@ -935,7 +942,7 @@ ipfiredist() {
[ $? == 1 ] && return 0
# Run dist on the package
- if ! make_pkg --chroot "${pkg}" dist "$@"; then
+ if ! make_pkg --chroot --timer "${pkg}" dist "$@"; then
print_status FAIL
exiterror "Packaging ${pkg}"
hooks/post-receive
--
IPFire 2.x development tree
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2026-06-16 11:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-16 11:18 [git.ipfire.org] IPFire 2.x development tree branch, next, updated. 244619e985f3524e46e71c8223080092d4cdb511 Michael Tremer
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox